Bug 115146 - README.COMPILATION.PROBLEMS not really of any use in %doc
README.COMPILATION.PROBLEMS not really of any use in %doc
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bzip2 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Ryska
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-06 17:27 EST by Moritz Barsnick
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-09 09:36:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2004-02-06 17:27:44 EST
Description of problem:
The file README.COMPILATION.PROBLEMS doesn't really need to be 
included as a %doc in the bzip2 package. It doesn't cover anything 
which can be done with the bzip2's binary packages.

Version-Release number of selected component (if applicable):
1.0.2-10

How reproducible:


Steps to Reproduce:
1. grep %doc bzip2.spec
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jiri Ryska 2004-12-09 09:36:04 EST
I think that this file shlould be useful when instalation from src.rpm
package fail. In this case there should be some info for solving this
failure.
Comment 2 Moritz Barsnick 2004-12-09 10:50:58 EST
Huh? I don't get your point.

If you fail to build from the src.rpm, you should look into the 
package source (bzip2-1.0.2.tar.bz2 for example, or /usr/src/redhat/
BUILD/bzip2-1.0.2/). And there you will always find the named file.

If you fail to build from the src.rpm, you may not even have this 
arch.rpm (e.g. ...i386.rpm) installed yet, so you may not even have 
the file in %doc which I mentioned.

For the same reason, no arch.rpm packages carry the standard 
"INSTALL" file from autofoo.

I disagree with your resolution and would reopen this but I'm not the 
package owner, so I leave judgement up to you. :-/

Note You need to log in before you can comment on or make changes to this bug.